DO I=0, N-1 
B(6*I+1) = c(0,I+1)*2.E+0_DP*(y(I+1)-1.E+0_DP*y(I))
B(6*I+2) = 6.666666666666666E-1_DP*c(1,I+1)*(y(I+1)-1.E+0_DP&
	&*y(I))
B(6*I+3) = 3.9999999999999997E-1_DP*c(2,I+1)*(y(I+1)-1.E+0_DP&
	&*y(I))
ENDDO 
